Bug 1977936 - OCS deployment using Multus: UI allows StorageCluster creation with empty public and cluster network in "Internal - Attached Devices" mode
Summary: OCS deployment using Multus: UI allows StorageCluster creation with empty pub...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.9.0
Assignee: Sanjal Katiyar
QA Contact: Sidhant Agrawal
URL:
Whiteboard:
Depends On:
Blocks: 1984367
TreeView+ depends on / blocked
 
Reported: 2021-06-30 18:33 UTC by Sidhant Agrawal
Modified: 2021-10-18 17:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:37:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9541 0 None open Bug 1977936: OCS deployment using Multus: UI allows StorageCluster creation with empty public and cluster network in "In... 2021-07-19 12:32:37 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:37:50 UTC

Description Sidhant Agrawal 2021-06-30 18:33:40 UTC
Description of problem:
During OCS deployment via UI when using Multus the user needs to choose only public or only cluster network or both from the list. 
If both are not selected, then UI shouldn't allow StorageCluster creation.
However, for Internal - Attached Devices mode, the UI doesn't disable the Create button, and as a result, the user can still create StorageCluster even though both public and cluster networks not specified.


Version-Release number of selected component (if applicable):
OCP: 4.8.0-0.nightly-2021-06-29-033219
OCS: ocs-operator.v4.8.0-431.ci

How reproducible:
100%

Steps to Reproduce:
1. Install OCS Operator
2. Click Create Storage Cluster, choose Internal - Attached Devices mode, 
3. In "Security and network", choose Network: Custom (Multus)
 Observe that the Next button is enabled without even selecting any network
4. In "Review and create", a warning message appears, but Create button is still enabled, and a user can click that.

Actual results:
UI doesn't disable the Next/Create button, and a user can still create StorageCluster even though both public and cluster networks not specified.

Expected results:
UI should disable the Next/Create buttons if public and cluster networks not specified.

Additional info:

Comment 6 errata-xmlrpc 2021-10-18 17:37:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.